Download it now!
Bug 99674 - Add IDEF diagram shapes to gallery
Summary: Add IDEF diagram shapes to gallery
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Gallery OOXML-SmartArt Gallery_7.0
  Show dependency treegraph
 
Reported: 2016-05-04 13:08 UTC by Heiko Tietze
Modified: 2020-04-20 23:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Heiko Tietze 2016-08-02 08:38:08 UTC
Perhaps the issue is better preserved with the autocreation of flow charts.
Comment 2 andreas_k 2020-03-08 21:48:38 UTC
If someone let me know which shapes should be in the IDEF gallery, I can make the gallery.
Comment 3 Heiko Tietze 2020-03-09 10:37:12 UTC
Check the links for a first impression. Draw.io has the Flowchart and Entity Relation categories that we may copycat. I believe one gallery is enough and naming it flowchart is better than IDEFx.
Comment 4 Commit Notification 2020-04-03 21:16:52 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/279ffdbdf0344d5f2d92fdc719d8b0abd8606129

tdf#99674 Add Flowchart gallery

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-04-20 23:16:50 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/906997274bd6a16b61d2bd009d534b31572145b2

tdf#99674 update flowchart gallery now with themes support

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.